package chatRoom.client.view;
import chatRoom.client.Network;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

public class MessageArea extends JPanel {
    JTextField textField;
    JButton btn;
    ChatRoomGUI chatRoomGUI;
    Network network;


    public MessageArea(ChatRoomGUI chatRoomGUI){
        super();
        this.chatRoomGUI = chatRoomGUI;
        this.setLayout(new BorderLayout());
        textField = new JTextField();
        textField.setEditable(true);
        add(textField, BorderLayout.CENTER);

        btn = new JButton("send");
        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                doClickAction();
            } });
        add(btn, BorderLayout.EAST);

        try {
            network = new Network();
        } catch (IOException e) {
            e.printStackTrace();
        }

        this.setVisible(true);
    }
    void reset() {
        textField.setText("");
    }


    void doClickAction(){

      chatRoomGUI.addNewMessage(textField.getText());
      network.sendMessage(textField.getText());
      reset();
    }
}
