package chatRoom.client.view;
import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class UsernameFrame extends JFrame {
    private static final String BTN_TXT = " Start Chatting ...";
    private static final String LABEL_TXT = " Choose Your UserName  ";
    private static final int WIDTH = 300, HEIGHT = 100;
    private JTextField textField;
    private JButton btn;

    public UsernameFrame() throws HeadlessException {
        super();
        this.setLayout(new BorderLayout());
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JLabel label = new JLabel(LABEL_TXT);
        add(label, BorderLayout.PAGE_START);
        textField = new JTextField();
        add(textField, BorderLayout.CENTER);
        btn = new JButton(BTN_TXT);

        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                doClickAction();
            } });

        add(btn, BorderLayout.PAGE_END);
        setSize(WIDTH, HEIGHT);
        setVisible(true);
    }

    public void doClickAction(){

        ChatRoomGUI chat1 = new ChatRoomGUI();
        chat1.addNewParticipant(textField.getText());
        this.setVisible(false);
    }


}